Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Packet Struct Reference

Network Packet. More...

`#include <NetworkTypes.h>`

List of all members.

## Public Attributes
PlayerIndex | playerIndex
PlayerID | playerId
unsigned long | length
unsigned long | bitSize
unsigned char * | data

## Detailed Description

Network Packet.

This structure store information concerning a packet going throught the network

## Member Data Documentation

unsigned long Packet::bitSize

| The number of bits in used. Same as length but represents bits. Length is obsolete and retained for backwards compatibility.

unsigned char* Packet::data

| The byte array. The standard behaviour in RakNet define the first byte of the data array as the packet class. See also: PacketEnumerations.h

unsigned long Packet::length

| The length of the data. Deprecated: You should use bitSize inplace.

PlayerID Packet::playerId

| The Player Unique Identifier that send this packet.

PlayerIndex Packet::playerIndex

| Server only - this is the index into the player array that this playerId maps to

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/NetworkTypes.h